## ros-melodic-smach-msgs 2.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(smach_msgs)

find_package(catkin REQUIRED COMPONENTS 
  message_generation std_msgs)

add_message_files(FILES
  SmachContainerInitialStatusCmd.msg
  SmachContainerStructure.msg
  SmachContainerStatus.msg)

generate_messages(DEPENDENCIES std_msgs)

catkin_package(CATKIN_DEPENDS message_runtime)

## ros-melodic-smach-msgs 2.0.1

=== debian/changelog ===
ros-melodic-smach-msgs (2.0.1-0stretch) stretch; urgency=high

  * [maintenance] Update maintainer. switching to package.xml format 2
  * Contributors: Isaac I.Y. Saito, Jonathan Bohren

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Thu, 08 Jun 2017 07:00:00 -0000

ros-melodic-smach-msgs (2.0.0-0stretch) stretch; urgency=high

  * cleaning up and removing rosbuild support
  * merging groovy and hydro
  * Add explanations within message definitions
  * Contributors: Felix Kolbe, Jonathan Bohren

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Thu, 17 Apr 2014 07:00:00 -0000

ros-melodic-smach-msgs (1.3.1-0stretch) stretch; urgency=high

  * adding changelogs
  * Updating maintainer name
  * Updating maintainer name

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Mon, 22 Jul 2013 07:00:00 -0000

=== debian/control ===
Source: ros-melodic-smach-msgs
Section: misc
Priority: extra
Maintainer: Isaac I. Y. Saito <gm130s@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-message-generation, ros-melodic-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-smach-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-message-runtime, ros-melodic-std-msgs
Description: this package contains a set of messages that are used by the introspection interfaces for smach.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-smach-msgs//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-smach-msgs 2.0.3

=== debian/changelog ===
ros-melodic-smach-msgs (2.0.3-1bionic) bionic; urgency=high



 -- Isaac I. Y. Saito <gm130s@gmail.com>  Tue, 13 Jun 2023 04:00:00 -0000

ros-melodic-smach-msgs (2.0.2-1bionic) bionic; urgency=high



 -- Isaac I. Y. Saito <gm130s@gmail.com>  Tue, 13 Jun 2023 04:00:00 -0000

ros-melodic-smach-msgs (2.0.1-1bionic) bionic; urgency=high

  * [maintenance] Update maintainer. switching to package.xml format 2
  * Contributors: Isaac I.Y. Saito, Jonathan Bohren

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Thu, 08 Jun 2017 04:00:00 -0000

ros-melodic-smach-msgs (2.0.0-1bionic) bionic; urgency=high

  * cleaning up and removing rosbuild support
  * merging groovy and hydro
  * Add explanations within message definitions
  * Contributors: Felix Kolbe, Jonathan Bohren

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Thu, 17 Apr 2014 04:00:00 -0000

ros-melodic-smach-msgs (1.3.1-1bionic) bionic; urgency=high

  * adding changelogs
  * Updating maintainer name
  * Updating maintainer name

 -- Isaac I. Y. Saito <gm130s@gmail.com>  Mon, 22 Jul 2013 04:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: ros-melodic-smach-msgs
 Section: misc
-Priority: extra
+Priority: optional
 Maintainer: Isaac I. Y. Saito <gm130s@gmail.com>
 Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-message-generation, ros-melodic-std-msgs
 Homepage:

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
